Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.knipp.rritoolkit.response
Enum ResultMessage.Level

    java.lang.Object
      java.lang.Enum<ResultMessage.Level>
          de.knipp.rritoolkit.response.ResultMessage.Level

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultMessage.Level>

Enclosing class:
  ResultMessage

    public static enum ResultMessage.Level

extends java.lang.Enum<ResultMessage.Level>

enumeration for the different error levels of a message

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Enum Constant Summary
`Error` error result
`FatalError` fatal error result
`Info` informational result
`Warning` warning result

Field Summary
`private java.lang.String[]` | `classCodes` the class codes
`private static java.util.Map<java.lang.String,ResultMessage.Level>` | `classMap` map from the error classes to the level
`private java.lang.String` | `denicToken` the DENIC token
`private static java.util.Map<java.lang.String,ResultMessage.Level>` | `tokenMap` map from the token to the level

Method Summary
`static ResultMessage.Level` | `fromErrorClass(java.lang.String errorClass)` return the level for the given error class
`static ResultMessage.Level` | `fromToken(java.lang.String denicToken)` return the level for the given token
`java.lang.String` | `getDenicToken()` return the DENIC token
`static ResultMessage.Level` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultMessage.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Info

    public static final ResultMessage.Level Info

  informational result

### Warning

    public static final ResultMessage.Level Warning

  warning result

### Error

    public static final ResultMessage.Level Error

  error result

### FatalError

    public static final ResultMessage.Level FatalError

  fatal error result

Field Detail

### denicToken

    private java.lang.String denicToken

  the DENIC token

### classCodes

    private java.lang.String[] classCodes

  the class codes

### tokenMap

    private static final java.util.Map<java.lang.String,ResultMessage.Level> tokenMap

  map from the token to the level

### classMap

    private static final java.util.Map<java.lang.String,ResultMessage.Level> classMap

  map from the error classes to the level

Method Detail

### values

    public static ResultMessage.Level[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultMessage.Level c : ResultMessage.Level.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultMessage.Level valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDenicToken

    public java.lang.String getDenicToken()

  return the DENIC token

  Returns:
    the token

### fromToken

    public static ResultMessage.Level fromToken(java.lang.String denicToken)

  return the level for the given token

  Parameters:
    `denicToken` - the token
  Returns:
    the level or `null` if the token is not found

### fromErrorClass

    public static ResultMessage.Level fromErrorClass(java.lang.String errorClass)

  return the level for the given error class

  Parameters:
    `errorClass` - the error class
  Returns:
    the level or `null` if the class is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH